Subject: bug#17346: 24.4.50; Why is the goal column limited to C-n and C-p ?

From: Dani Moncayo <[email-masked]>
Date: Thu, 9 Oct 2014 23:32:58 +0200

>>> If you want that, just set scroll-preserve-screen-position accordingly.
>> I don't see how that would solve the problem I'm reporting.  For example:
>
> It solves the problem as long as you don't mix cursor-movement (where
> you move point, which in turn might cause Emacs to move the viewport)
> with scrolling (where you move the viewport, which might in turn cause
> Emacs to move point).

Right, and I find that behavior clearly undesirable.  The
temporary goal column should not be (re)set by any of those
vertical-motion commands.

-- 
Dani Moncayo